## sdlip.helpers
Class ClientTransportModule

    java.lang.Object
      |
      +--sdlip.helpers.ClientTransportModule

All Implemented Interfaces:
  Metadata, ResultAccess, Search

Direct Known Subclasses:
  ClientCorbaTransport, ClientDaslTransport, ClientDienstTransport

public abstract class ClientTransportModule
extends java.lang.Object
implements Search, ResultAccess, Metadata

Field Summary
`protected DBG` `dbg`

Fields inherited from interface sdlip.Search
`MAINTAIN_UNLIMITED, NOT_YET_KNOWN, RETURN_ALL_DOCS, UNKNOWABLE`

Fields inherited from interface sdlip.ResultAccess
`CANCEL_ALL_REQUESTS`

Constructor Summary
`ClientTransportModule()`

Method Summary
`static ClientTransportModule` `create(java.lang.String uri)`
`static void` `deregister(java.lang.String uriPrefix)`
`static void` `register(java.lang.String uriPrefix, java.lang.String className)`
`void` `setDBG(DBG dbg)`
`void` `setLspUri(java.lang.String uri)` Default initialization.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface sdlip.Search
`search`

Methods inherited from interface sdlip.ResultAccess
`cancelRequest, extendStateTimeout, getDocs, getSessionInfo`

Methods inherited from interface sdlip.Metadata
`getInterface, getPropertyInfo, getSubcollectionInfo`

Field Detail

### dbg

    protected DBG dbg

Constructor Detail

### ClientTransportModule

    public ClientTransportModule()

Method Detail

### setDBG

    public void setDBG(DBG dbg)

### setLspUri

    public void setLspUri(java.lang.String uri)
                   throws SDLIPException

  Default initialization. Returns true if this module accepts the URI

    `SDLIPException`

### register

    public static final void register(java.lang.String uriPrefix,
                                      java.lang.String className)

### deregister

    public static final void deregister(java.lang.String uriPrefix)

### create

    public static final ClientTransportModule create(java.lang.String uri)
                                              throws SDLIPException

    `SDLIPException`